import typescript from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.ExternalModuleReference;
}
/**
 * Processor for `import module = require('module')`
 */
export declare class ImportRequireProcessor extends Processor {
    parse(node: typescript.Node): ParseResult;
    updateModuleName(moduleName: string, { node }: ParseResult): typescript.Node;
}
export {};
